@import url('https://fonts.googleapis.com/css?family=Fredericka+the+Great');

@font-face {
    font-family: 'Glyphicons Halflings';
    src: url(glyphicons-halflings-regular.ttf);
}


body {
    margin: 0;
    padding: 0;
    background-color: whitesmoke;
    box-sizing: border-box;
    color: #2d2e2f;
    /*font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue","Fira Sans",Ubuntu,Oxygen,"Oxygen Sans",Cantarell,"Droid Sans","Apple Color Emoji","Segoe UI Emoji","Segoe UI Emoji","Segoe UI Symbol","Lucida Grande",Helvetica,Arial,sans-serif;*/
    font-family: "Rubik", sans-serif;
    font-size: .9rem;
}


html {
  font-size: 13px;
}

@media (min-width: 768px) {
  html {
    font-size: 15px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
    margin-bottom: 60px;
    background-color: #f2f5f7;
}

.navbar-custom {
    background: #44a2d2;    
}

.navbar-light .navbar-nav .nav-link {
    color: #fff;
}
.navbar-light .navbar-brand {
    color: #fff;
}

.btn-custom {
    background: #44a2d2;
    color: #fff;
}

a:hover {
    color: #44a2d2!important;
}
.sidebar-nav .metismenu a:hover, .sidebar-nav .metismenu a:focus, .sidebar-nav .metismenu a:active, .sidebar-nav .metismenu .mm-active > a {
    color: #44a2d2 !important;
}
.navbar-light .navbar-nav .nav-link:hover {
    color: #2d2e2f !important;
}

/*************UpComing Class**********/

.upComingContainer{
    text-align: center;
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.upComingh1 {
    font-size: 24px;
    margin-bottom: 10px;
}

.upComingp {
    font-size: 16px;
    color: #777;
    margin-bottom: 20px;
}

/******Loader Class*********/
.loader {
    position: fixed;
    left: 50%;
    top: 50%;
    z-index: 10000;
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid blue;
    border-right: 16px solid green;
    border-bottom: 16px solid red;
    border-left: 16px solid pink;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.hide-loader {
    display: none;
}

.select2 {
    width: 100% !important;
}

/********tooltip color*******/
.tooltip-inner {
    background-color: #2f4fff;
    box-shadow: 0px 0px 4px black;
    opacity: 1 !important;
}

.tooltip.bs-tooltip-right .tooltip-arrow::before {
    border-right-color: #2f4fff !important;
}

.tooltip.bs-tooltip-left .tooltip-arrow::before {
    border-left-color: #2f4fff !important;
}

.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
    border-bottom-color: #2f4fff !important;
}

.tooltip.bs-tooltip-top .tooltip-arrow::before {
    border-top-color: #2f4fff !important;
}


element.style {
    background-color: rgba(10, 207, 151, 0.18);
    color: #059a70;
}

.color-box-container .color {
    float: left;
    width: 48% !important;
    height: 33px !important;
    margin-bottom: 11px;
    margin: 1% !important;
    font-size: 12px;
    text-align: center;
    padding-top: 7px;
}

.imgPopup {
    max-height: 500px;
    max-width: 500px;
    height: auto;
    width: auto;
}

/********Calendar Event CSS*******/

.calendarPunchTime {
    background-color: rgba(68, 162, 210, 0.18);
    display: block;
    padding: 5px;
    text-align: center;
}
.calendarLeave {
    background-color: rgba(45, 123, 244, 0.18);
    display: block;
    text-align: center;
    padding: 5px;
    color: #2d7bf4 !important;
}
.calendarPresent {
    background-color: rgba(10, 207, 151, 0.18);
    display: block;
    padding: 5px;
    text-align: center;
    color: #059a70 !important;
}
.calendarAbsent {
    background-color: rgba(241, 85, 108, 0.18);
    display: block;
    padding: 5px;
    text-align: center;
    color: #f1556c !important;
}
.calendarHalfDay {
    background-color: rgb(249,217,198,0.18);
    display: block;
    padding: 5px;
    text-align: center;
    color: #985C38 !important;
}

.calendarSandwich {
    background-color: rgba(255, 103, 155, 0.18);
    display: block;
    padding: 5px;
    text-align: center;
    color: #ff679b !important;
}

.calendarWeekOff {
    background-color: rgb(241,239,239);
    display: block;
    padding: 5px;
    text-align: center;
    color: #4C5650 !important;
}
.calendarOutDoor {
    background-color: rgb(230,232,249);
    display: block;
    padding: 5px;
    text-align: center;
    color: #2d7bf4 !important;
}

.calendarHoliday{
    background-color: rgba(234, 175, 4, 0.34);
    display: block;
    padding: 5px;
    text-align: center;
    color: #946f04 !important;
}

#attendancecal .fc-daygrid-event-dot {
    display: none;
}

.fc-event .fc-bg {
    opacity: 0.18
}


.linkcolor {
    color: #44a2d2 !important;
}

.homepage-card-height {
    height: 400px !important;
    margin-top:10px;
    overflow-y:auto;
}
.w-60 {
    width: 60% !important;
}
.w-65 {
    width: 65% !important;
}
.form-control {
    font-size: 0.9rem;
    height: 38px;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option {
    font-size: 0.9rem;
}
.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered {
    font-size: 0.9rem;
}

h2 {
    line-height: 22px;
    font-size: 18px;
    color: #2d2e2f;
    font-weight: 600;
}
    h2:after {
        content: '';
        display: block;
        background: #2d2e2f;
        height: 1px;
        width: 100%;
        margin: 10px 0px;
    }


.handCursor{
    cursor: pointer;
}


/*.alert2 {
    padding: 10px 15px;
    color: #fff;
    margin-bottom: 6px;
}

    .alert2 img {
        float: right;
        margin-top: -5px;
        padding: 2px;
        border-radius: 100px;
        border: 1px solid #fff;
        width: 31px;
        height: 31px;
    }

.bg-primary {
    background-color: #0d6efd !important;
}

.bg-secondary {
    background-color: #6c757d !important;
}

.bg-success {
    background-color: #198754 !important;
}

.bg-dark {
    background-color: #212529 !important;
}

.alert2 b {
    font-weight: 600;
    font-size: 13px;
}

    .alert2 b span {
        padding-left: 10px;
    }*/

.alert2 {
    padding: 10px 15px;
    color: #fff;
    margin-bottom: 6px;
}

    .alert2 img {
        float: right;
        margin-top: -5px;
        padding: 2px;
        border-radius: 100px;
        border: 1px solid #fff;
        width: 31px;
        height: 31px;
    }

.bg-primary {
    background: #cfe2ff;
    border: 1px solid #9ec5fe;
}

.bg-secondary {
    background: #e2e3e5;
    border: 1px solid #c4c8cb;
}

.bg-success {
    background: #d1e7dd;
    border: 1px solid #a3cfbb;
}

.bg-dark {
    background: #f8d7da;
    border: 1px solid #f1aeb5;
}

.alert2 b {
    font-weight: 600;
    font-size: 13px;
}

    .alert2 b span {
        padding-left: 10px;
    }